Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteTriggerManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteTriggerManager

extends java.rmi.Remote

The `TriggerManager` manages all triggers in the server.

Field Summary
`static java.lang.String` | `RMINAME`

Method Summary
`boolean` | `contains(java.lang.String triggerName)` Returns `true` if this manager contains the specified trigger.
`Trigger` | `createTrigger(java.lang.String triggerName, java.lang.String triggerDesc)` Creates a new EXTERN trigger with specified trigger name and description in the inner collection if it is not already present.
`void` | `deleteTrigger(java.lang.String triggerName)` Deletes an existing `Trigger` specified by name.
`void` | `fire(java.lang.String triggerName, java.util.Properties userData)` Fire the trigger with specified name and customer's trigger data
`Trigger` | `getTrigger(java.lang.String triggerName)` Returns a existing `Trigger` specified by name.
`void` | `setEnable(java.lang.String triggerName, boolean enable)` Enable or disable a trigger.
`int` | `size()` Returns the number of triggers in this manager.
`Trigger[]` | `toArray()` Returns an array containing all of the trigger in this manager.

Field Detail

### RMINAME

    static final java.lang.String RMINAME

See Also:
  Constant Field Values

Method Detail

### createTrigger

    Trigger createTrigger(java.lang.String triggerName,
                          java.lang.String triggerDesc)
                          throws TriggerManageException,
                                 java.rmi.RemoteException

  Creates a new EXTERN trigger with specified trigger name and description in the inner collection if it is not already present.

  Parameters:
    `triggerName` - trigger name
    `triggerDesc` - trigger description
  Returns:
    A trigger instance if the manager did not already contain the specified trigger name; else throws TriggerManageException.
  Throws:
    `TriggerManageException`
    `java.rmi.RemoteException`

### getTrigger

    Trigger getTrigger(java.lang.String triggerName)
                       throws java.rmi.RemoteException

  Returns a existing `Trigger` specified by name.

  Parameters:
    `triggerName` - trigger name that you want to get
  Returns:
    a `Trigger` instance, it may be `null`.
  Throws:
    `java.rmi.RemoteException`

### deleteTrigger

    void deleteTrigger(java.lang.String triggerName)
                       throws TriggerManageException,
                              java.rmi.RemoteException

  Deletes an existing `Trigger` specified by name.

  Parameters:
    `triggerName` - trigger name that you want to delete
  Throws:
    `TriggerManageException` - If the trigger is referenced then throw TriggerManageException
    `java.rmi.RemoteException`

### setEnable

    void setEnable(java.lang.String triggerName,
                   boolean enable)
                   throws java.rmi.RemoteException

  Enable or disable a trigger.

  An enable trigger can be fired, but a disbale trigger can not.

  Parameters:
    `triggerName` -
    `enable` - true to enable the trigger, elsewise disable the trigger.
  Throws:
    `java.rmi.RemoteException`

### fire

    void fire(java.lang.String triggerName,
              java.util.Properties userData)
              throws TriggerManageException,
                     java.rmi.RemoteException

  Fire the trigger with specified name and customer's trigger data

  Parameters:
    `triggerName` - The trigger name which wnat to fired
    `userData` - The customer's trigger data that pass to a scheduled task
  Throws:
    `java.rmi.RemoteException`
    `TriggerManageException`

### contains

    boolean contains(java.lang.String triggerName)
                     throws java.rmi.RemoteException

  Returns `true` if this manager contains the specified trigger.

  Parameters:
    `triggerName` - trigger name that is to be tested.
  Returns:
    `true` if this manager contains the specified trigger.
  Throws:
    `java.rmi.RemoteException`

### toArray

    Trigger[] toArray()
                      throws java.rmi.RemoteException

  Returns an array containing all of the trigger in this manager.

  Returns:
    an array containing all of the triggers in this manager
  Throws:
    `java.rmi.RemoteException`

### size

    int size()
             throws java.rmi.RemoteException

  Returns the number of triggers in this manager.

  Returns:
    the number of triggers in this manager
  Throws:
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD